Bug 1655674 - Node label `type=upgrade` is ignored when upgrading OCP
Summary: Node label `type=upgrade` is ignored when upgrading OCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 3.10.z
Assignee: Michael Gugino
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1649074
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 16:37 UTC by Michael Gugino
Modified: 2019-11-14 22:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1649074
Environment:
Last Closed: 2019-01-10 09:27:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0026 None None None 2019-01-10 09:27:13 UTC

Comment 1 Michael Gugino 2018-12-03 16:38:19 UTC
3.10.z tracking bug.

Comment 4 Gaoyun Pei 2018-12-19 10:23:43 UTC
Verified this bug with openshift-ansible-3.10.89-1.git.0.14ed1cb.el7.noarch.

[root@qe-gpei-392node-registry-router-2 ~]# hostname -f
qe-gpei-392node-registry-router-2.int.1219-2wr.qe.rhcloud.com

Add label "type=upgrade" to node 'qe-gpei-392node-registry-router-2'
[root@qe-gpei-392master-etcd-1 ~]# oc label node qe-gpei-392node-registry-router-2 type=upgrade
node "qe-gpei-392node-registry-router-2" labeled


ansible-playbook -i 392 /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_10/upgrade.yml -e openshift_upgrade_nodes_label="type=upgrade"

<-snip->
TASK [Retrieve list of openshift nodes matching upgrade label] **************************************************************************************************************
ok: [host-8-252-51.host.centralci.eng.rdu2.redhat.com]

TASK [Fail if no nodes match openshift_upgrade_nodes_label] *****************************************************************************************************************
skipping: [host-8-252-51.host.centralci.eng.rdu2.redhat.com]

TASK [Map labelled nodes to inventory hosts] ********************************************************************************************************************************
skipping: [host-8-252-51.host.centralci.eng.rdu2.redhat.com] => (item=host-8-252-51.host.centralci.eng.rdu2.redhat.com)
skipping: [host-8-252-51.host.centralci.eng.rdu2.redhat.com] => (item=host-8-252-78.host.centralci.eng.rdu2.redhat.com)
ok: [host-8-252-51.host.centralci.eng.rdu2.redhat.com] => (item=host-8-247-160.host.centralci.eng.rdu2.redhat.com)
<-snip->

[root@qe-gpei-392master-etcd-1 ~]# oc get node
NAME                                STATUS    ROLES     AGE       VERSION
qe-gpei-392master-etcd-1            Ready     master    2h        v1.10.0+b81c8f8
qe-gpei-392node-registry-router-1   Ready     compute   2h        v1.9.1+a0ce1bc657
qe-gpei-392node-registry-router-2   Ready     compute   2h        v1.10.0+b81c8f8

Only qe-gpei-392node-registry-router-2 node got upgraded.

Comment 6 errata-xmlrpc 2019-01-10 09:27:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0026

Comment 10 Candace Sheremeta 2019-02-07 17:26:46 UTC
Created attachment 1527862 [details]
cisco inventory file


Note You need to log in before you can comment on or make changes to this bug.